> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# SIM details

GET https://iot.telia.lt/api/v1/sim/{sim_id}

Retrieves SIM details for a given ID.


Reference: https://docs.iot.telia.lt/developers/api/sim/sim-by-id-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `sim_id` (integer, required) — Numeric ID of a SIM

## Response

### 200

Successfully returned the SIM details associated with the provided `id`.

- `id` (integer, optional)
- `iccid` (string, optional)
- `eid` (string, optional)
- `production_date` (string, optional)
- `activation_date` (string, optional)
- `status` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaStatus, optional)
- `customer_org` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaCustomerOrg, optional)
- `issuer_org` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaIssuerOrg, optional)
- `reseller_org` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaResellerOrg, optional)
- `endpoint` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaEndpoint, optional)
- `imsi` (string, optional)
- `msisdn` (string, optional)
- `model` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModel, optional)

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaStatus

- `id` (integer, required)
- `description` (string, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaCustomerOrg

- `id` (integer, optional)
- `name` (string, optional)
- `country` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaCustomerOrgCountry, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaIssuerOrg

- `id` (integer, optional)
- `name` (string, optional)
- `country` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaIssuerOrgCountry, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaResellerOrg

- `id` (integer, optional)
- `name` (string, optional)
- `country` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaResellerOrgCountry, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaEndpoint

- `id` (integer, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModel

- `id` (integer, optional)
- `description` (string, optional)
- `memory_size` (integer, optional)
- `formfactor` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModelFormfactor, optional)
- `manufacturer` (ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModelManufacturer, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaCustomerOrgCountry

- `id` (integer, optional)
- `name` (string, optional)
- `country_code` (integer, optional)
- `mcc` (integer, optional)
- `iso_code` (string, optional)
- `latitude` (float, optional)
- `longitude` (float, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaIssuerOrgCountry

- `id` (integer, optional)
- `name` (string, optional)
- `country_code` (integer, optional)
- `mcc` (integer, optional)
- `iso_code` (string, optional)
- `latitude` (float, optional)
- `longitude` (float, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaResellerOrgCountry

- `id` (integer, optional)
- `name` (string, optional)
- `country_code` (integer, optional)
- `mcc` (integer, optional)
- `iso_code` (string, optional)
- `latitude` (float, optional)
- `longitude` (float, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModelFormfactor

- `id` (integer, optional)
- `name` (string, optional)

### ApiV1SimSimIdGetResponsesContentApplicationJsonSchemaModelManufacturer

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "id": 788,
  "iccid": "7368267364732297736",
  "eid": "89049011803455664400046832584675",
  "production_date": "2019-08-01T11:49:46.000+0000",
  "activation_date": "2019-08-21T18:49:46.000+0000",
  "status": {
    "id": 1,
    "description": "Activated"
  },
  "customer_org": {
    "id": 42,
    "name": "Another Enterprise",
    "country": {
      "id": 74,
      "name": "Germany"
    }
  },
  "issuer_org": {
    "id": 11,
    "name": "MNO",
    "country": {
      "id": 205,
      "name": "United Kingdom"
    }
  },
  "reseller_org": {
    "id": 22,
    "name": "Reseller",
    "country": {
      "id": 205,
      "name": "United Kingdom"
    }
  },
  "endpoint": {
    "id": 23,
    "created": "2019-03-29T07:26:47.000+0000",
    "imei": null,
    "ip_address": "10.1.2.2",
    "ip_address_space_id": 123,
    "last_updated": "2019-04-19T13:36:37.000+0000",
    "name": "arduino02",
    "organisation_id": 42,
    "service_profile_id": 1,
    "tags": null,
    "tariff_profile_id": 1
  },
  "imsi": "123451234567811",
  "msisdn": "88563748762",
  "model": {
    "id": 1,
    "description": "Java smartcard",
    "memory_size": 64,
    "formfactor": {
      "id": 1,
      "name": "2FF"
    },
    "manufacturer": {
      "id": 1,
      "name": "Motorola"
    }
  },
  "iccid_with_luhn": "73682673647322977362",
  "profile_type": {
    "description": "UICC",
    "id": 1
  }
}
```

**SDK Code**

```python Retrieved
import requests

url = "https://iot.telia.lt/api/v1/sim/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Retrieved
const url = 'https://iot.telia.lt/api/v1/sim/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Retrieved
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/sim/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Retrieved
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/sim/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Retrieved
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/sim/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Retrieved
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/sim/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Retrieved
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/sim/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Retrieved
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/sim/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```